=== debian/changelog ===
merkaartor (0.19.0~rc1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Jerome Benoit ]
  * New upstream minor version (Closes: #983245)
  * Update d/copyright
  * Refreh d/patches/*

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Jun 2021 20:15:20 +0000
