=== debian/control ===
Source: merkaartor
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-dev,
               libboost-math-dev,
               libboost-serialization-dev,
               libexiv2-dev,
               libgdal-dev,
               libgps-dev,
               libproj-dev,
               libproxy-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libquazip5-dev,
               libspatialite-dev,
               libxml2-dev,
               libxslt1-dev,
               qt5-qmake,
               qt5-qmake:native,
               qtbase5-dev,
               qttools5-dev-tools,
               qtwebengine5-dev,
               sharutils,
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
Homepage: http://www.merkaartor.be/
Rules-Requires-Root: no

Package: merkaartor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: spatialite-bin
Description: map editor for OpenStreetMap.org
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 Features:
  * download from and upload to the OpenStreetMap server
  * open .osm and .gpx files
  * create and move trackpoints, ways, and areas
  * add tags, delete features
  * reverse, split and join ways
  * visualize some leisure/landuse areas and road types
  * displaying GPS information
