## merkaartor 0.19.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,19 @@
                libproj-dev,
                libproxy-dev,
                libqt5svg5-dev,
-               libqt5webkit5-dev,
                libquazip5-dev,
                libspatialite-dev,
                libxml2-dev,
                libxslt1-dev,
+               pkg-config,
                qt5-qmake,
                qt5-qmake:native,
                qtbase5-dev,
                qttools5-dev-tools,
-               qtwebengine5-dev,
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                sharutils,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
 Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
 Homepage: http://www.merkaartor.be/
