## merkaartor 0.19.0+ds

=== debian/changelog ===
merkaartor (0.19.0+ds-4) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Don't use qtwebengine5-dev on mipsel, package to be removed.
  * Update lintian overrides.

  [ Adrian Bunk ]
  * qtwebengine5-dev is now available on mips64el

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Jul 2023 09:31:25 +0200

merkaartor (0.19.0+ds-3) unstable; urgency=medium

  [ Jerome Benoit ]
  * Silence lintian source-is-missing error reports.
  * Update copyright year for debian files.
  * Refresh a lintian tag in d/s/lintian-overrides.

  [ Bas Couwenberg ]
  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.
  * Add pkg-config to build dependencies.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Oct 2022 15:50:39 +0000

merkaartor (0.19.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H, proj.h is supported now.
    (closes: #993609)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Sep 2021 17:05:19 +0200

merkaartor (0.19.0+ds-1) unstable; urgency=medium

  * New ustream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/control:
      - Build-Depends:
        - qtwebengine5-dev dependency, discard (Closes: #991025);
        - qtwebengine5-dev dependency, specify supported arch (idem);
    - d/rules:
      - USEWEBENGINE, set wrt arch supporting qtwebengine5-dev (idem);
    - d/p/spelling-errors.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Aug 2021 12:45:57 +0000
