=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                qt5-qmake:native,
                qtbase5-dev,
                qttools5-dev-tools,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
                sharutils,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
 Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
 Homepage: http://www.merkaartor.be/
