=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Use Qt5
export QT_SELECT=5

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el))
DEB_PKG_USEWEBENGINE=1
else
DEB_PKG_USEWEBENGINE=0
endif


%:
	dh $@ --buildsystem=qmake

override_dh_auto_clean:
	dh_auto_clean
	cd translations && make clean

override_dh_clean:
	dh_clean
	rm -rf binaries

override_dh_auto_configure:
	cd translations && make release
	dh_auto_configure -- -recursive \
		Merkaartor.pro \
		TRANSDIR_SYSTEM="/usr/share/qt5/translations/" \
		GDAL=1 \
		GEOIMAGE=1 \
		GPSDLIB=1 \
		LIBPROXY=1 \
		NOWEBKIT=1 \
		PROJ=1 \
		SPATIALITE=0 \
		SYSTEM_QUAZIP=1 \
		SYSTEM_QUAZIP_LDFLAGS="-lquazip5" \
		USEWEBENGINE=$(DEB_PKG_USEWEBENGINE) \
		ZBAR=0 \
		NODEBUG=1 \
		RELEASE=1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/merkaartor.1
