## merkaartor 0.20.0%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19.0)
 
-set(VCS_FALLBACK_VERSION 0.19.0)
+set(VCS_FALLBACK_VERSION 0.20.0)
 include(cmake/vcs.cmake)
 message(STATUS "Configuring Merkaartor ${VCS_VERSION}, commit: ${VCS_COMMIT}, dirty: ${VCS_DIRTY}.")
 
@@ -21,10 +21,12 @@
 # compatibility.
 # Using configure_file() allows us to store the metadata in a .cpp file, thus
 # only rebuilding that one and linking.
-add_definitions(-DVERSION=${PROJECT_VERSION} -DREVISION=${VCS_DESCRIBE})
-add_definitions(-DPRODUCT=Merkaartor)
-add_definitions(-DSHARE_DIR=${CMAKE_INSTALL_PREFIX}/share/merkaartor)
-add_definitions(-DTRANSDIR_MERKAARTOR=${CMAKE_INSTALL_PREFIX}/share/merkaartor)
+set(SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/merkaartor)
+set(LIB_DIR   ${CMAKE_INSTALL_PREFIX}/lib/merkaartor)
+configure_file("${PROJECT_SOURCE_DIR}/cmake/build-metadata.cpp.in" "${PROJECT_BINARY_DIR}/build-metadata.cpp" @ONLY)
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 enable_testing()
 
@@ -42,6 +44,27 @@
 set(CMAKE_AUTOUIC ON)
 
 set(CMAKE_AUTORCC ON)
+
+##############################################
+# Find Qt dependencies
+##############################################
+set(MERKAARTOR_QT_LIBS Svg Network NetworkAuth Xml Core Gui Concurrent PrintSupport Widgets Test)
+set(MERKAARTOR_QT_TOOLS LinguistTools)
+find_package(QT NAMES Qt5 Qt6 REQUIRED COMPONENTS Core)
+message(STATUS " * Qt version found: ${QT_VERSION}")
+if (${QT_VERSION_MAJOR} EQUAL 6)
+    list(APPEND MERKAARTOR_QT_LIBS Core5Compat)
+endif()
+if (APPLE)
+    # macdeployqt does not properly bundle dbus
+    # see https://bugreports.qt.io/browse/QTBUG-127075
+    list(APPEND MERKAARTOR_QT_LIBS DBus)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS ${MERKAARTOR_QT_LIBS} ${MERKAARTOR_QT_TOOLS} CONFIG REQUIRED)
+set(MERKAARTOR_LINK_LIBS ${MERKAARTOR_QT_LIBS})
+list(TRANSFORM MERKAARTOR_LINK_LIBS PREPEND Qt${QT_VERSION_MAJOR}::)
+
 
 set(CMAKE_AUTOUIC_SEARCH_PATHS
 ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -81,17 +104,16 @@
 
 # Populate a CMake variable with the sources
 set(merkaartor_SRCS
+${PROJECT_BINARY_DIR}/build-metadata.cpp
 ${merkaartor_SRCS_PLATFORM}
 src/Backend/MemoryBackend.cpp
 src/Backend/MemoryBackend.h
 src/GPS/qgps.h
-#src/GPS/GpsFix.cpp
 src/GPS/qgpsdevice.cpp
 src/GPS/qgpssatellitetracker.h
 src/GPS/SatelliteStrengthView.cpp
 src/GPS/qgpssatellitetracker.cpp
 src/GPS/SatelliteStrengthView.h
-#src/GPS/GpsFix.h
 src/GPS/qgpsdevice.h
 src/GPS/qgps.cpp
 src/GPS/qgpsmainwindowui.ui
@@ -141,13 +163,9 @@
 src/Render/NativeRenderDialog.cpp
 src/Render/MapRenderer.cpp
 src/PaintStyle/Painter.cpp
-src/PaintStyle/MapCSSPaintstyle.cpp
 src/PaintStyle/MasPaintStyle.h
 src/PaintStyle/Painter.h
-src/PaintStyle/MapCSSPaintstyle.h
 src/PaintStyle/PaintStyleEditor.ui
-src/PaintStyle/PrimitivePainter.cpp
-src/PaintStyle/PrimitivePainter.h
 src/PaintStyle/PaintStyleEditor.h
 src/PaintStyle/MasPaintStyle.cpp
 src/PaintStyle/FeaturePainter.cpp
@@ -169,22 +187,13 @@
 src/Commands/Command.cpp
 src/Commands/Command.h
 src/Commands/RelationCommands.h
-#src/Tools/QFatFs/QFatFs.h
-#src/Tools/QFatFs/QFat.cpp
-#src/Tools/QFatFs/QFatFile.cpp
-#src/Tools/QFatFs/QFatFs.cpp
-#src/Tools/QFatFs/QFat.h
-#src/Tools/QFatFs/QFatFile.h
 src/Tools/ActionsDialog.cpp
-#src/Tools/RegionMapWidget.cpp
-#src/Tools/RegionMapWidget.h
 src/Tools/ActionsDialog.h
 src/qextserialport/qextserialport.cpp
 src/qextserialport/qextserialport.h
 src/qextserialport/qextserialbase.cpp
 src/qextserialport/qextserialbase.h
 src/ImportExport/ImportNMEA.cpp
-#src/ImportExport/ImportExportPBF.h
 src/ImportExport/ImportNMEA.h
 src/ImportExport/ImportExportGdal.h
 src/ImportExport/IImportExport.cpp
@@ -201,16 +210,11 @@
 src/ImportExport/ExportGPX.h
 src/ImportExport/ImportCSVDialog.cpp
 src/ImportExport/ImportCSVDialog.ui
-#src/ImportExport/fileformat.pb.h
-#src/ImportExport/osmformat.pb.cc
-#src/ImportExport/osmformat.pb.h
-#src/ImportExport/fileformat.pb.cc
 src/ImportExport/ImportNGT.h
 src/ImportExport/ImportCSVDialog.h
 src/ImportExport/ExportOSM.h
 src/ImportExport/ImportOSM.cpp
 src/ImportExport/ImportExportCSV.h
-#src/ImportExport/ImportExportPBF.cpp
 src/ImportExport/IImportExport.h
 src/ImportExport/ExportGPX.cpp
 src/ImportExport/ImportGPX.cpp
@@ -261,16 +265,15 @@
 src/Utils/ShortcutOverrideFilter.h
 src/Utils/SelectionDialog.cpp
 src/Utils/ProjectionChooser.h
-src/Utils/TagSelectorWidget.ui
-src/Utils/CheckBoxList.cpp
 src/Utils/SlippyMapWidget.cpp
-src/Utils/TagSelectorWidget.h
-src/Utils/CheckBoxList.h
 src/Utils/SlippyMapWidget.h
 src/Utils/Utils.h
 src/Utils/OsmLink.cpp
+src/Utils/OsmServer.cpp
+src/Utils/OsmOAuth2Flow.cpp
+src/Utils/OAuth2OOBDialog.ui
+src/Utils/OAuth2OOBDialog.cpp
 src/Utils/ShortcutOverrideFilter.cpp
-src/Utils/TagSelectorWidget.cpp
 src/Utils/LineF.h
 src/Utils/SelectionDialog.ui
 src/Utils/TagSelector.h
@@ -292,6 +295,8 @@
 src/Utils/TagSelector.cpp
 src/Utils/SvgCache.h
 src/Utils/RemoteControlServer.cpp
+src/Utils/BoundaryIcon.cpp
+src/Utils/BoundaryIcon.h
 src/QToolBarDialog/qttoolbardialog.h
 src/QToolBarDialog/qttoolbardialog.cpp
 src/QToolBarDialog/qttoolbardialog.ui
@@ -344,26 +349,15 @@
 src/Sync/DirtyListExecutorOSC.h
 src/Sync/DownloadOSM.cpp
 src/Sync/DirtyList.h
-#src/QMapControl/mapcontrol.cpp
 src/QMapControl/WmscMapAdapter.cpp
 src/QMapControl/mapnetwork.cpp
 src/QMapControl/wmsmapadapter.h
 src/QMapControl/tilemapadapter.cpp
 src/QMapControl/wmsmapadapter.cpp
-#src/QMapControl/imagepoint.h
 src/QMapControl/imagemanager.cpp
 src/QMapControl/WmscMapAdapter.h
 src/QMapControl/tilemapadapter.h
 src/QMapControl/imagemanager.h
-#src/QMapControl/mapcontrol.h
 src/QMapControl/mapadapter.h
 src/QMapControl/mapadapter.cpp
-#src/QMapControl/imagepoint.cpp
 src/QMapControl/mapnetwork.h
-src/Docks/PropertiesDock.cpp
-src/Docks/FeaturesDock.h
-src/Docks/StyleDock.ui
-src/Docks/MinimumRoadProperties.ui
-src/Docks/InfoDock.h
-src/Docks/FeaturesDock.ui
-src/Docks/MinimumRelationProperties.ui
