=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DEXTRA_TESTS=0 \
		-DGEOIMAGE=1 \
		-DGPSD=1 \
		-DLIBPROXY=1 \
		-DWEBENGINE=1 \
		-DZBAR=0

override_dh_auto_test:
	xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/merkaartor.1
