## merkaartor 0.20.0+ds

=== debian/changelog ===
merkaartor (0.20.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Add upstream patch to fix FTBFS with GDAL 3.12.0.
    (closes: #1118726)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Oct 2025 12:03:53 +0200

merkaartor (0.20.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop libxml2-dev & libxslt1-dev build dependencies,
    osmarender support removed.
  * Drop obsolete boost build dependencies.
  * Drop obsolete libquazip1-qt6-dev & sharutils build dependencies.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Aug 2025 10:58:27 +0200

merkaartor (0.20.0+ds-2~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Switch to Qt6.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Aug 2025 07:28:35 +0200

merkaartor (0.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Drop patches applied upstream.
  * Update copyright file.
  * Add protobuf build dependencies.
  * Add libqt5networkauth5-dev build dependency for OAuth2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2024 06:20:04 +0200

merkaartor (0.19.0+ds-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Drop unused libspatialite-dev build dependency.
  * Replace pkg-config build dependency with pkgconf.
  * Add patch to fix FTBFS with libproxy 0.5.
    (closes: #1066442)
  * Switch from qmake to cmake.
  * Update lintian overrides.

  [ Pino Toscano ]
  * Backport upstream commit ba8b73e6b3372a21305640baca07a991f77db119 and
    commit 1e20d2ccd743ea5f8c2358e4ae36fead8b9390fd to build also with Exiv2
    0.28+; patches upstream_Moved-exiv2-header-from-GeoImageDock.h-to-.cpp.patch
    and upstream_Replaced-use-of-AutoPtr-with-std-unique_ptr-in-GeoIm.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 15:22:13 +0100
