=== debian/control ===
Source: merkaartor
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libexiv2-dev,
               libgdal-dev,
               libgps-dev,
               libproj-dev,
               libprotobuf-dev,
               libproxy-dev,
               pkgconf,
               protobuf-compiler,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-networkauth-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
Homepage: http://www.merkaartor.be/

Package: merkaartor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: map editor for OpenStreetMap.org
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 Features:
  * download from and upload to the OpenStreetMap server
  * open .osm and .gpx files
  * create and move trackpoints, ways, and areas
  * add tags, delete features
  * reverse, split and join ways
  * visualize some leisure/landuse areas and road types
  * displaying GPS information
